

<div class="container">
  <form [formGroup]="logForm" (ngSubmit)="submitForm(logForm.value)">
      <div class="form-group">
          <label for="username">Korisnicko ime</label>
          <input type="text" name="username" id="username" class="form-control" formControlName="username">
      </div>
      <p class="error-message" *ngIf="username.errors?.required">Unesite korisnicko ime</p>
      <p class="error-message" *ngIf="username.errors?.pattern">Korisnicko ime mora poceti slovom i sastoji se od slova, cifara i znaka _</p>
      <div class="form-group">
          <label for="password">Lozinka</label>
          <input type="password" name="password" id="password" class="form-control" formControlName="password">
      </div>
      <p class="error-message" *ngIf="password.errors?.required" >Unesite lozinku</p>
      <p class="error-message" *ngIf="password.errors?.pattern">Lozinka mora biti duza od 3 karaktera</p>
      <button type="submit" class="btn btn-Primary btn-block" [disabled]="!logForm.valid">Registruj me</button>
  </form>
  <h5 routerLink="/login">Ili ako imas nalog prijavi se</h5>
</div>
